Subject: Re: what is this lemony herb

From: [email-masked] (The Polsons)
Date: Wed, 11 Jan 1995 20:55:53 GMT

> >>I've got a lemony tasting herb growing all over, well, in a few places, 

You've got it growing WHERE?!?

Well, if you could describe the leaf, where it grows, and if you've seen
any flowers them too, I could give it a shot. Diana's probably right,
though, it's most likely lemon balm. It could also be a few other things,
so lemme know.

-Willow     ([email-masked])
--------------------------------------------------------------------
Sermons are like pie crust; the shorter the better. -Austin O'Malley
--------------------------------------------------------------------